#!/bin/sh
export PATH="/mnt/utmp/redshift/bin:${PATH:-"/usr/bin:/bin:/usr/local/bin"}"
export LD_LIBRARY_PATH="/mnt/utmp/redshift/lib:${LD_LIBRARY_PATH:-"/usr/lib:/lib"}"
export HOME="/mnt/utmp/redshift" XDG_CONFIG_HOME="/mnt/utmp/redshift"
export PYTHONHOME="/mnt/utmp/redshift"
export PYTHONPATH="/mnt/utmp/redshift/lib/python2.7/site-packages"

if [ -d /mnt/utmp/redshift/share ];then
	export XDG_DATA_DIRS=/mnt/utmp/redshift/share:$XDG_DATA_DIRS:/usr/share
fi
export SDL_AUDIODRIVER="alsa"
cd $HOME
[ -e "$HOME/scripts/pre_script.sh" ] && . $HOME/scripts/pre_script.sh
if [ -e "$HOME/scripts/post_script.sh" ];then
	./bin/gtk-redshift $*
	. $HOME/scripts/post_script.sh
else
	exec ./bin/gtk-redshift $*
fi
